=== debian/changelog ===
vitables (2.1-1) unstable; urgency=low

  * Initial release (Closes: #525760)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Jun 2011 12:35:53 +0000
