=== debian/control ===
Source: vitables
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
	   Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 8),
               python (>= 2.6.6-3~),
	       python-sphinx
Standards-Version: 3.9.2
Homepage: http://vitables.berlios.de
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vitables.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/vitables.git

Package: vitables
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-qt4 (>=4.4),
	 python-tables (>= 2.0),
	 python-numpy,
	 libjs-jquery
Description: graphical tool to browse and edit PyTables and HDF5 files
 ViTables is a component of the PyTables family. It is a graphical
 tool for browsing and editing files in both PyTables and HDF5
 formats.
 .
 ViTables capabilities include easy navigation through the data
 hierarchy, displaying of real data and its associated metadata, a
 simple, yet powerful, browsing of multidimensional data and much
 more.
 .
 One of the greatest strengths of ViTables is its ability to display
 very large tables. Tables with one thousand millions of rows (and
 beyond) are navigated stunningly fast and with very low memory
 requirements. So, if you ever need to browse very large tables, don't
 hesitate, ViTables is your choice.
