=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/vitables \
			   --install-scripts=/usr/share/vitables
	mv debian/vitables/usr/share/vitables/vitables/vitables \
	   debian/vitables/usr/share/vitables/run-vitables.py
