=== debian/watch ===
version=3
opts="downloadurlmangle=s/prdownload/download/,dversionmangle=s/\+hg.*//"\
    http://developer.berlios.de/project/showfiles.php?group_id=10366 \
    http://prdownload.berlios.de/vitables/ViTables-(.*)\.tar\.gz
