=== debian/changelog ===
vitables (3.0.0-1) unstable; urgency=low

  [ Picca Frédéric-Emmanuel ]
  * use dh_sphinxdoc (>= 1.0.7+dfsg)
  * upstream hosting changed (Closes: #693115)
  * Use debhelper-compat instead of debian/compat.
  * Let pybuild generate the Python3 dependencies.
  * vitables installed as a private module.
  * d/patches/0004-vitables-vitables-run-to-... (Added)

  [ Benda Xu ]
  * New upstream release (Closes: #864282).
  * Bump standards to 4.3.0.
  * Migrate to Python 3 (Closes: #849758).
  * Change section to science (Closes: #820390).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Sep 2019 11:53:48 +0200
