=== debian/control ===
Source: vitables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-nose,
               python3-numpy,
               python3-qtpy,
               python3-setuptools,
               python3-sip,
               python3-sphinx,
               python3-tables
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/vitables
Vcs-Git: https://salsa.debian.org/science-team/vitables.git
Homepage: http://vitables.org/

Package: vitables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: graphical tool to browse and edit PyTables and HDF5 files
 ViTables is a component of the PyTables family. It is a graphical
 tool for browsing and editing files in both PyTables and HDF5
 formats.
 .
 ViTables capabilities include easy navigation through the data
 hierarchy, displaying of real data and its associated metadata, a
 simple, yet powerful, browsing of multidimensional data and much
 more.
 .
 One of the greatest strengths of ViTables is its ability to display
 very large tables. Tables with one thousand millions of rows (and
 beyond) are navigated stunningly fast and with very low memory
 requirements. So, if you ever need to browse very large tables, don't
 hesitate, ViTables is your choice.
