=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/vitables/ --install-scripts=/usr/share/vitables/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -f doc/index.rst
	rm -rf ViTables.egg-info

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html # generate doc/index.rst
	$(MAKE) -C doc qthelp
	cd doc/_build && rm -r html && mv qthelp html && rm html/_static/*.js

override_dh_link:
	dh_link -p vitables /usr/share/vitables/vitables-run /usr/bin/vitables

override_dh_install:
	dh_install -p vitables unixapp/vitables.desktop usr/share/applications
	dh_install -p vitables unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
	dh_install -p vitables vitables/icons usr/share/vitables/
	dh_install

override_dh_installdocs:
	dh_installdocs -p vitables ANNOUNCE.txt
	dh_installdocs -p vitables TODO.txt
	dh_installdocs -p vitables README.txt
	dh_installdocs -p vitables doc/_build/html
	dh_installdocs

override_dh_installman:
	dh_installman -p vitables debian/vitables.1
	dh_installman
