## vitables 3.0.2

=== requirements.txt ===
Cython
numexpr
numpy
tables
PyQt5
QtPy
