=== debian/changelog ===
vitables (3.0.2-4) unstable; urgency=medium

  * Migrate remaining nose tests to pytest (Closes: #1018659).

 -- Benda Xu <orv@debian.org>  Wed, 01 Feb 2023 11:19:43 +0800

vitables (3.0.2-3) unstable; urgency=medium

  * Backport upstream fixes for Python 3.10 (Closes: #1009458).
  * Bump standard to 4.6.1.

 -- Benda Xu <orv@debian.org>  Wed, 01 Feb 2023 11:19:40 +0800

vitables (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 23:44:08 -0400

vitables (3.0.2-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.0.2 (Closes: #966056).

  [ Benda Xu ]
  * Incorporate NMU.
  * Remove python3-sip and add back sphinxdoc dependencies.
  * Enable test cases.
  * Update the icon installation locations.
  * Bump standards to 4.6.0.
  * Add Benda Xu to uploaders (Closes: #994882).

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 26 Sep 2021 10:45:22 +0800

vitables (3.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on python3-sphinxcontrib.qthelp. (Closes: #955096)

 -- Adrian Bunk <bunk@debian.org>  Wed, 29 Apr 2020 15:33:51 +0300
