=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: vitables
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+           Picca Frédéric-Emmanuel <picca@debian.org>,
+           Benda Xu <orv@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-nose,
                python3-numpy,
+               python3-pytest,
+               python3-pytest-xvfb,
                python3-qtpy,
                python3-setuptools,
-               python3-sip,
                python3-sphinx,
+               python3-sphinxcontrib.qthelp,
                python3-tables
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
 Homepage: http://vitables.org/
 
 Package: vitables
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
 Description: graphical tool to browse and edit PyTables and HDF5 files
  ViTables is a component of the PyTables family. It is a graphical
  tool for browsing and editing files in both PyTables and HDF5
