=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	dh_link -p vitables /usr/share/vitables/vitables-run /usr/bin/vitables
 
 override_dh_install:
-	dh_install -p vitables unixapp/vitables.desktop usr/share/applications
-	dh_install -p vitables unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
-	dh_install -p vitables vitables/icons usr/share/vitables/
+	dh_install -p vitables vitables/icons/unixapp/vitables.desktop usr/share/applications
+	dh_install -p vitables vitables/icons/unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
+	dh_install -p vitables vitables/icons/{??x??,vitables*} usr/share/vitables/icons
 	dh_install
 
 override_dh_installdocs:
