## vitables 3.0.3

=== mswindows/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #       Copyright (C) 2005-2007 Carabos Coop. V. All rights reserved
-#       Copyright (C) 2008-2017 Vicent Mas. All rights reserved
+#       Copyright (C) 2008-2019 Vicent Mas. All rights reserved
 #       Author:  Vicent Mas - vmas@vitables.org
 #
 # This Makefile is intended to create the ViTables installer for Windows.
