=== debian/changelog ===
vitables (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches, dropping those applied upstream
    - add new patch to keep unwanted files out of the module
    - update packaging to new version
    - update build-dependencies to hatchling and pybuild-plugin-pyproject
    - update dependencies to Qt6
    - startup failures fixed (Closes: #1065117)
    - test failures fixed (Closes: #1090311)
  * Add dependencies on relevant pyqt6 packages and force pyqt6 usage
    (Closes #1089955).
  * Simplify d/rules.
  * Add lintian overrides to improve output.
  * Drop obsolete preinst snippet not needed since bullseye.
  * Update Standards-Version to 4.7.0 (no changes).

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Jan 2025 19:41:29 +1100
