=== debian/control ===
--- 
+++ 
@@ -7,16 +7,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               pyqt6-dev-tools,
                python3,
+               python3-hatchling,
                python3-numpy,
+               python3-pkg-resources,
+               python3-pyqt6,
                python3-pytest,
                python3-pytest-xvfb,
                python3-qtpy,
-               python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.qthelp,
                python3-tables
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
@@ -24,7 +28,12 @@
 
 Package: vitables
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Depends:
+ pyqt6-dev-tools,
+ python3-pyqt6,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: graphical tool to browse and edit PyTables and HDF5 files
  ViTables is a component of the PyTables family. It is a graphical
  tool for browsing and editing files in both PyTables and HDF5
