=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vitables-$1.tar.gz%" \
        https://github.com/uvemas/ViTables/tags \
        (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
