=== debian/changelog ===
vitables (3.1.0-2) unstable; urgency=medium

  * d/t/control: Mark test as skip-not-installable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Mar 2025 08:57:05 +0100

vitables (3.1.0-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Fix typo in changelog closes

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.1.0
  * Bug fix: "FTBFS: E AttributeError: module &#39;numpy&#39; has no
    attribute &#39;VisibleDeprecationWarning&#39;", thanks to Santiago
    Vila (Closes: #1095399).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 Mar 2025 15:59:48 +0100
