=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: vitables
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
-           Picca Frédéric-Emmanuel <picca@debian.org>,
-           Benda Xu <orv@debian.org>
+Uploaders:
+ Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Benda Xu <orv@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               pybuild-plugin-pyproject,
-               pyqt6-dev-tools,
-               python3,
-               python3-hatchling,
-               python3-numpy,
-               python3-pkg-resources,
-               python3-pyqt6,
-               python3-pytest,
-               python3-pytest-xvfb,
-               python3-qtpy,
-               python3-sphinx,
-               python3-sphinxcontrib.qthelp,
-               python3-tables
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ pyqt6-dev-tools,
+ python3,
+ python3-hatchling,
+ python3-numpy,
+ python3-pkg-resources,
+ python3-pyqt6,
+ python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
+ python3-qtpy,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.qthelp <!nodoc>,
+ python3-tables,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
-Homepage: http://vitables.org/
+Homepage: https://vitables.org/
 
 Package: vitables
 Architecture: all
