=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 export DH_VERBOSE=1
 export PYBUILD_INSTALL_DIR=/usr/share/vitables/
+export PYBUILD_TEST_ARGS="-k not test_l10n"
 
 # Ensure tests are run with PyQt6
 export QT_API=pyqt6
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_clean:
 	$(MAKE) -C doc clean
