=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 xauth,
 xvfb,
 @,
Restrictions:
 allow-stderr,
 skip-not-installable,
